Bug 493165 - group_tool ls fence returns one for fence id ZERO
group_tool ls fence returns one for fence id ZERO
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.3
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: David Teigland
Cluster QE
: ZStream
Depends On:
Blocks: 493207 503730
  Show dependency treegraph
 
Reported: 2009-03-31 16:21 EDT by Eduardo Damato
Modified: 2016-04-26 11:25 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
- cause: command "group_tool ls fence default" - consequence: command reports the group does not exist, when the group does exist but has zero id - fix: group_tool checks for name instead of id - result: group_tool ls now correctly reports about a group even if the group has zero id
Story Points: ---
Clone Of:
: 493207 (view as bug list)
Environment:
Last Closed: 2009-09-02 07:06:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix (821 bytes, patch)
2009-03-31 16:23 EDT, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Eduardo Damato 2009-03-31 16:21:55 EDT
Description of problem:

In some occasions groupd allows the fence domain to be ZERO:

# group_tool
type             level name          id       state       
fence            0     default       00000000 none        
[1 2 3]

....

When that happens queries to the 'default fence domain' will fail:

# group_tool ls fence default
groupd has no information about the specified group
# echo $?
1
# group_tool ls fence default &> /dev/null
# echo $?
1

Because such queries are used by rgmanager, this causes rgmanager to hang on startup.

How reproducible:

Every time that the fence domain id is zero.

Steps to Reproduce:

Startup the cluster and obtain id zero for the fence domain. This is not the normal case.

Actual results:

rgmanager blocks. 

Expected results:

rgmanager works.
Comment 1 Lon Hohberger 2009-03-31 16:23:49 EDT
Created attachment 337401 [details]
Fix
Comment 2 Lon Hohberger 2009-03-31 17:40:36 EDT
Previous fix just allows group_tool to work if id == 0; it doesn't change the problem that causes groupd to assign a group the id of 0.
Comment 7 David Teigland 2009-05-19 12:18:39 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
- cause: command "group_tool ls fence default"

- consequence: command reports the group does not exist, when the group does exist but has zero id

- fix: group_tool checks for name instead of id

- result: group_tool ls now correctly reports about a group even if the group has zero id
Comment 8 Lachlan McIlroy 2009-06-01 00:04:43 EDT
Adding issue 301850.
Comment 13 Chris Ward 2009-07-03 14:28:24 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 15 errata-xmlrpc 2009-09-02 07:06:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1341.html

Note You need to log in before you can comment on or make changes to this bug.